jQuery(document).ready(function ($) {
'use strict';
	/* add animated arrow to sub-menus */
	jQuery('.navi-by-bonfire ul li ul').before(jQuery('<span><div class="sub-menu-arrow-tip-left"></div><div class="sub-menu-arrow-line"><div><div class="sub-menu-arrow-tip-right"></div></span>'));

	/* show sub-menu when top-level menu item is clicked/tapped */
	jQuery(".navi-by-bonfire li.menu-item-has-children > a, .navi-by-bonfire li.menu-item-has-children > span").on('touchend click', function(e) {
		e.preventDefault();	
			jQuery(this).parent().toggleClass("navi-top-inactive");
			jQuery(this).parent().parent().toggleClass("navi-top-inactive");
			jQuery(this).parent().find(".sub-menu").toggleClass("navi-sub-active");
			jQuery(this).parent().find("span").toggleClass("navi-submenu-active");
	})	
	
	/* if sub-menu active, hide sub-menu when main menu button is clicked/tapped */
	jQuery(".navi-main-menu-button-wrapper").on('touchstart click', function(e) {
		if(jQuery(".navi-by-bonfire ul > li > span").hasClass('navi-submenu-active')) {
            jQuery(".navi-by-bonfire ul").removeClass("navi-top-inactive");
            jQuery(".navi-by-bonfire ul li").removeClass("navi-top-inactive");
            jQuery(".navi-by-bonfire").find(".sub-menu").removeClass("navi-sub-active");
            jQuery(".navi-by-bonfire ul > li > span").removeClass("navi-submenu-active");
		}
	})

});

/* if sub-menu active, hide sub-menu when ESC is pressed */
jQuery(document).keyup(function(e) {
'use strict';
	if (e.keyCode === 27) { 
		if(jQuery(".navi-by-bonfire ul > li > span").hasClass('navi-submenu-active')) {
            jQuery(".navi-by-bonfire ul").removeClass("navi-top-inactive");
            jQuery(".navi-by-bonfire ul li").removeClass("navi-top-inactive");
            jQuery(".navi-by-bonfire").find(".sub-menu").removeClass("navi-sub-active");
            jQuery(".navi-by-bonfire ul > li > span").removeClass("navi-submenu-active");
		}
	}
});