// BEGIN SHOW/HIDE MAIN MENU
jQuery('.navi-main-menu-button-wrapper, .navi-main-menu-activator').on('touchstart click', function(e) {
'use strict';
	e.preventDefault();
		if(jQuery('.navi-main-wrapper').hasClass('navi-main-wrapper-active'))
		{		
			/* hide navi slide */
			jQuery('.navi-main-wrapper').removeClass('navi-main-wrapper-active');
			/* hide navi background */
			jQuery('.navi-main-background').removeClass('navi-main-background-active');
            /* hide navi background image */
			jQuery('.navi-background-image').removeClass('navi-background-image-active');
			/* hide navi background lines */
			jQuery('.navi-bg-lines-wrapper').removeClass('navi-bg-lines-wrapper-active');
			/* de-animate menu button */
			jQuery('.navi-main-menu-button-wrapper').removeClass('navi-menu-active');
			
			/* when menu de-activated, animate main menu items */
			jQuery('.navi-menu-wrapper').removeClass('navi-menu-wrapper-active');
			
		} else {		
			/* show navi slide */
			jQuery('.navi-main-wrapper').addClass('navi-main-wrapper-active');
			/* show navi background */
			jQuery('.navi-main-background').addClass('navi-main-background-active');
            /* show navi background image */
			jQuery('.navi-background-image').addClass('navi-background-image-active');
			/* show navi background lines */
			jQuery('.navi-bg-lines-wrapper').addClass('navi-bg-lines-wrapper-active');
			/* animate menu button */
			jQuery('.navi-main-menu-button-wrapper').addClass('navi-menu-active');
			
			/* when menu activated, animate main menu items */
			jQuery('.navi-menu-wrapper').addClass('navi-menu-wrapper-active');
		}
});
// END SHOW/HIDE MAIN MENU

// BEGIN HIDE MAIN MENU WHEN ESC BUTTON PRESSED
jQuery(document).keyup(function(e) {
'use strict';
	if (e.keyCode === 27) { 
		/* hide navi slide */
        jQuery('.navi-main-wrapper').removeClass('navi-main-wrapper-active');
        /* hide navi background */
        jQuery('.navi-main-background').removeClass('navi-main-background-active');
        /* hide navi background image */
        jQuery('.navi-background-image').removeClass('navi-background-image-active');
        /* hide navi background lines */
        jQuery('.navi-bg-lines-wrapper').removeClass('navi-bg-lines-wrapper-active');
        /* de-animate menu button */
		jQuery('.navi-main-menu-button-wrapper').removeClass('navi-menu-active');
        
        /* when menu de-activated, animate main menu items */
        jQuery('.navi-menu-wrapper').removeClass('navi-menu-wrapper-active');
		return false;
	}
});
// END HIDE MAIN MENU WHEN ESC BUTTON PRESSED